package com.jzdsh.auto.biz;

import com.jzdsh.auto.model.Shop;
import lombok.extern.log4j.Log4j2;

import java.util.List;

/**
 * @ProjectName: auto
 * @Package: com.jzdsh.auto.biz
 * @ClassName: ShopService
 * @Author: Jzdsh
 * @Description: 店铺信息
 * @Date: 2020/3/21 13:52
 * @Version: 1.0
 */
@Log4j2
public class ShopService {


    public Shop getByUserId(Integer userId) {
        try {
            return Shop.dao.findFirst("select * from shop where userId = ?", userId);
        } catch (Exception e) {
            log.info("com.jzdsh.auto.biz.ShopService.findByUserId" + e);
        }
        return null;
    }


    public List< Shop > findBySearchName(String longitude, String latitude,int pageNum,int pageSize) {
        Integer offset = (pageNum - 1) * pageSize;
        try {
            return Shop.dao.template("shop.listshop", longitude, latitude,offset,pageSize).find();
        } catch (Exception e) {
            log.info(e);
        }
        return null;
    }
}
